curl --request GET \
--url https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"profileId": "NOTIF-32395",
"webhook": {
"contentType": "application/json",
"notifyUrl": "https://www.example.com/pushme"
},
"security": {
"authId": "NEWAUTH-9291"
},
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": [
"TLSv1.3",
"TLSv1.2"
],
"headers": {
"X-Important-Header": "Important Value"
},
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}Get single notification profile
Returns a specific notification profile by ID.
Required scope: Enable one of: subscriptions:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/subscriptions/1/profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"profileId": "NOTIF-32395",
"webhook": {
"contentType": "application/json",
"notifyUrl": "https://www.example.com/pushme"
},
"security": {
"authId": "NEWAUTH-9291"
},
"maxBucketSize": 1,
"windowSize": 20,
"connectTimeout": 10000,
"readTimeout": 10000,
"enabledSSLProtocols": [
"TLSv1.3",
"TLSv1.2"
],
"headers": {
"X-Important-Header": "Important Value"
},
"responseRegex": "[1-9][0-9]",
"responseBodyRegex": "[1-9][0-9]",
"rateLimit": 5000
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Notification profile ID.
Response
Success.
Notification profile.
Unique profile ID.
Webhook configuration.
Show child attributes
Show child attributes
Security configuration.
Show child attributes
Show child attributes
Client certificate ID.
Specifies a maximum number of messages to be sent within a single request.
A maximum number of concurrent connections (active requests) per client.
Time in milliseconds sender system waits for connection acknowledgement until the connection is closed.
A maximum period of inactivity in milliseconds between two consecutive data packets.
Specifies which security protocols should be used to send a HTTP request. Multiple options can be used.
Specifies which security protocols should be used to send a HTTP request. Multiple options can be used.
TLSv1.2, TLSv1.3 Set of key:value pairs that will be sent in a HTTP request as headers.
Show child attributes
Show child attributes
Response regex.
Response body regex.
Limits the number of requests per second.